Získá seznam skladových položek Microsoft.Compute dostupných pro vaše předplatné.
GET https://management.azure.com/subscriptions/{subscriptionId}/providers/Microsoft.Compute/skus?api-version=2021-07-01
S volitelnými parametry:
GET https://management.azure.com/subscriptions/{subscriptionId}/providers/Microsoft.Compute/skus?api-version=2021-07-01&$filter={$filter}&includeExtendedLocations={includeExtendedLocations}
Parametry identifikátoru URI
| Name |
V |
Vyžadováno |
Typ |
Description |
|
subscriptionId
|
path |
True
|
string
minLength: 1
|
ID cílového předplatného.
|
|
api-version
|
query |
True
|
string
minLength: 1
|
Verze rozhraní API, která se má použít pro tuto operaci.
|
|
$filter
|
query |
|
string
|
Filtr, který se má použít pro operaci. Aktuálně se podporuje pouze umístění filtru.
|
|
includeExtendedLocations
|
query |
|
string
|
Chcete-li do odpovědi zahrnout informace o rozšířených umístěních nebo ne.
|
Odpovědi
Zabezpečení
azure_auth
Tok OAuth2 služby Azure Active Directory.
Typ:
oauth2
Tok:
implicit
URL autorizace:
https://login.microsoftonline.com/common/oauth2/authorize
Rozsahy
| Name |
Description |
|
user_impersonation
|
vydávat se za svůj uživatelský účet
|
Příklady
Lists all available Resource SKUs
Ukázkový požadavek
GET https://management.azure.com/subscriptions/{subscription-id}/providers/Microsoft.Compute/skus?api-version=2021-07-01
/**
* Samples for ResourceSkus List.
*/
public final class Main {
/*
* x-ms-original-file: 2021-07-01/skus/ListAvailableResourceSkus.json
*/
/**
* Sample code: Lists all available Resource SKUs.
*
* @param manager Entry point to ComputeManager.
*/
public static void listsAllAvailableResourceSKUs(com.azure.resourcemanager.compute.ComputeManager manager) {
manager.serviceClient().getResourceSkus().list(null, null, com.azure.core.util.Context.NONE);
}
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
from azure.identity import DefaultAzureCredential
from azure.mgmt.compute import ComputeManagementClient
"""
# PREREQUISITES
pip install azure-identity
pip install azure-mgmt-compute
# USAGE
python list_available_resource_skus.py
Before run the sample, please set the values of the client ID, tenant ID and client secret
of the AAD application as environment variables: AZURE_CLIENT_ID, AZURE_TENANT_ID,
AZURE_CLIENT_SECRET. For more info about how to get the value, please see:
https://docs.microsoft.com/azure/active-directory/develop/howto-create-service-principal-portal
"""
def main():
client = ComputeManagementClient(
credential=DefaultAzureCredential(),
subscription_id="SUBSCRIPTION_ID",
)
response = client.resource_skus.list()
for item in response:
print(item)
# x-ms-original-file: 2021-07-01/skus/ListAvailableResourceSkus.json
if __name__ == "__main__":
main()
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
package armcompute_test
import (
"context"
"log"
"github.com/Azure/azure-sdk-for-go/sdk/azidentity"
"github.com/Azure/azure-sdk-for-go/sdk/resourcemanager/compute/armcompute/v8"
)
// Generated from example definition: 2021-07-01/skus/ListAvailableResourceSkus.json
func ExampleResourceSKUsClient_NewListPager_listsAllAvailableResourceSkUs() {
cred, err := azidentity.NewDefaultAzureCredential(nil)
if err != nil {
log.Fatalf("failed to obtain a credential: %v", err)
}
ctx := context.Background()
clientFactory, err := armcompute.NewClientFactory("{subscription-id}", cred, nil)
if err != nil {
log.Fatalf("failed to create client: %v", err)
}
pager := clientFactory.NewResourceSKUsClient().NewListPager(nil)
for pager.More() {
page, err := pager.NextPage(ctx)
if err != nil {
log.Fatalf("failed to advance page: %v", err)
}
for _, v := range page.Value {
// You could use page here. We use blank identifier for just demo purposes.
_ = v
}
// If the HTTP response code is 200 as defined in example definition, your page structure would look as follows. Please pay attention that all the values in the output are fake values for just demo purposes.
// page = armcompute.ResourceSKUsClientListResponse{
// ResourceSKUsResult: armcompute.ResourceSKUsResult{
// Value: []*armcompute.ResourceSKU{
// {
// ResourceType: to.Ptr("virtualMachines"),
// Locations: []*string{
// to.Ptr("westus"),
// },
// Capabilities: []*armcompute.ResourceSKUCapabilities{
// {
// Name: to.Ptr("MaxResourceVolumeMB"),
// Value: to.Ptr("20480"),
// },
// {
// Name: to.Ptr("OSVhdSizeMB"),
// Value: to.Ptr("1047552"),
// },
// {
// Name: to.Ptr("vCPUs"),
// Value: to.Ptr("1"),
// },
// {
// Name: to.Ptr("HyperVGenerations"),
// Value: to.Ptr("V1"),
// },
// {
// Name: to.Ptr("MemoryGB"),
// Value: to.Ptr("0.75"),
// },
// {
// Name: to.Ptr("MaxDataDiskCount"),
// Value: to.Ptr("1"),
// },
// {
// Name: to.Ptr("LowPriorityCapable"),
// Value: to.Ptr("False"),
// },
// {
// Name: to.Ptr("PremiumIO"),
// Value: to.Ptr("False"),
// },
// {
// Name: to.Ptr("vCPUsAvailable"),
// Value: to.Ptr("1"),
// },
// {
// Name: to.Ptr("ACUs"),
// Value: to.Ptr("50"),
// },
// {
// Name: to.Ptr("vCPUsPerCore"),
// Value: to.Ptr("1"),
// },
// {
// Name: to.Ptr("EphemeralOSDiskSupported"),
// Value: to.Ptr("False"),
// },
// {
// Name: to.Ptr("AcceleratedNetworkingEnabled"),
// Value: to.Ptr("False"),
// },
// {
// Name: to.Ptr("RdmaEnabled"),
// Value: to.Ptr("False"),
// },
// {
// Name: to.Ptr("MaxNetworkInterfaces"),
// Value: to.Ptr("2"),
// },
// },
// LocationInfo: []*armcompute.ResourceSKULocationInfo{
// {
// Location: to.Ptr("westus"),
// Zones: []*string{
// to.Ptr("2"),
// to.Ptr("1"),
// },
// ZoneDetails: []*armcompute.ResourceSKUZoneDetails{
// {
// Name: []*string{
// to.Ptr("2"),
// },
// Capabilities: []*armcompute.ResourceSKUCapabilities{
// {
// Name: to.Ptr("UltraSSDAvailable"),
// Value: to.Ptr("True"),
// },
// },
// },
// },
// },
// },
// Name: to.Ptr("Standard_A0"),
// Tier: to.Ptr("Standard"),
// Size: to.Ptr("A0"),
// Family: to.Ptr("standardA0_A7Family"),
// },
// {
// ResourceType: to.Ptr("virtualMachines"),
// Locations: []*string{
// to.Ptr("westus"),
// },
// Capabilities: []*armcompute.ResourceSKUCapabilities{
// {
// Name: to.Ptr("MaxResourceVolumeMB"),
// Value: to.Ptr("71680"),
// },
// {
// Name: to.Ptr("OSVhdSizeMB"),
// Value: to.Ptr("1047552"),
// },
// {
// Name: to.Ptr("vCPUs"),
// Value: to.Ptr("1"),
// },
// {
// Name: to.Ptr("HyperVGenerations"),
// Value: to.Ptr("V1"),
// },
// {
// Name: to.Ptr("MemoryGB"),
// Value: to.Ptr("1.75"),
// },
// {
// Name: to.Ptr("MaxDataDiskCount"),
// Value: to.Ptr("2"),
// },
// {
// Name: to.Ptr("LowPriorityCapable"),
// Value: to.Ptr("True"),
// },
// {
// Name: to.Ptr("PremiumIO"),
// Value: to.Ptr("False"),
// },
// {
// Name: to.Ptr("vCPUsAvailable"),
// Value: to.Ptr("1"),
// },
// {
// Name: to.Ptr("ACUs"),
// Value: to.Ptr("100"),
// },
// {
// Name: to.Ptr("vCPUsPerCore"),
// Value: to.Ptr("1"),
// },
// {
// Name: to.Ptr("EphemeralOSDiskSupported"),
// Value: to.Ptr("False"),
// },
// {
// Name: to.Ptr("AcceleratedNetworkingEnabled"),
// Value: to.Ptr("False"),
// },
// {
// Name: to.Ptr("RdmaEnabled"),
// Value: to.Ptr("False"),
// },
// {
// Name: to.Ptr("MaxNetworkInterfaces"),
// Value: to.Ptr("2"),
// },
// },
// LocationInfo: []*armcompute.ResourceSKULocationInfo{
// {
// Location: to.Ptr("westus"),
// Zones: []*string{
// to.Ptr("1"),
// to.Ptr("2"),
// to.Ptr("3"),
// },
// },
// },
// Name: to.Ptr("Standard_A1"),
// Tier: to.Ptr("Standard"),
// Size: to.Ptr("A1"),
// Family: to.Ptr("standardA0_A7Family"),
// },
// },
// },
// }
}
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
const { ComputeManagementClient } = require("@azure/arm-compute");
const { DefaultAzureCredential } = require("@azure/identity");
/**
* This sample demonstrates how to gets the list of Microsoft.Compute SKUs available for your Subscription.
*
* @summary gets the list of Microsoft.Compute SKUs available for your Subscription.
* x-ms-original-file: 2021-07-01/skus/ListAvailableResourceSkus.json
*/
async function listsAllAvailableResourceSKUs() {
const credential = new DefaultAzureCredential();
const subscriptionId = "{subscription-id}";
const client = new ComputeManagementClient(credential, subscriptionId);
const resArray = new Array();
for await (const item of client.resourceSkus.list()) {
resArray.push(item);
}
console.log(resArray);
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
using Azure;
using Azure.ResourceManager;
using System;
using System.Threading.Tasks;
using Azure.Core;
using Azure.Identity;
using Azure.ResourceManager.Compute.Models;
using Azure.ResourceManager.Resources;
using Azure.ResourceManager.Compute;
// Generated from example definition: specification/compute/resource-manager/Microsoft.Compute/Compute/stable/2021-07-01/examples/skus/ListAvailableResourceSkus.json
// this example is just showing the usage of "ResourceSkus_List" operation, for the dependent resources, they will have to be created separately.
// get your azure access token, for more details of how Azure SDK get your access token, please refer to https://learn.microsoft.com/en-us/dotnet/azure/sdk/authentication?tabs=command-line
TokenCredential cred = new DefaultAzureCredential();
// authenticate your client
ArmClient client = new ArmClient(cred);
// this example assumes you already have this SubscriptionResource created on azure
// for more information of creating SubscriptionResource, please refer to the document of SubscriptionResource
string subscriptionId = "{subscription-id}";
ResourceIdentifier subscriptionResourceId = SubscriptionResource.CreateResourceIdentifier(subscriptionId);
SubscriptionResource subscriptionResource = client.GetSubscriptionResource(subscriptionResourceId);
// invoke the operation and iterate over the result
await foreach (ComputeResourceSku item in subscriptionResource.GetComputeResourceSkusAsync())
{
Console.WriteLine($"Succeeded: {item}");
}
Console.WriteLine("Succeeded");
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
Ukázková odpověď
{
"value": [
{
"resourceType": "virtualMachines",
"locations": [
"westus"
],
"capabilities": [
{
"name": "MaxResourceVolumeMB",
"value": "20480"
},
{
"name": "OSVhdSizeMB",
"value": "1047552"
},
{
"name": "vCPUs",
"value": "1"
},
{
"name": "HyperVGenerations",
"value": "V1"
},
{
"name": "MemoryGB",
"value": "0.75"
},
{
"name": "MaxDataDiskCount",
"value": "1"
},
{
"name": "LowPriorityCapable",
"value": "False"
},
{
"name": "PremiumIO",
"value": "False"
},
{
"name": "vCPUsAvailable",
"value": "1"
},
{
"name": "ACUs",
"value": "50"
},
{
"name": "vCPUsPerCore",
"value": "1"
},
{
"name": "EphemeralOSDiskSupported",
"value": "False"
},
{
"name": "AcceleratedNetworkingEnabled",
"value": "False"
},
{
"name": "RdmaEnabled",
"value": "False"
},
{
"name": "MaxNetworkInterfaces",
"value": "2"
}
],
"locationInfo": [
{
"location": "westus",
"zones": [
"2",
"1"
],
"zoneDetails": [
{
"name": [
"2"
],
"capabilities": [
{
"name": "UltraSSDAvailable",
"value": "True"
}
]
}
]
}
],
"name": "Standard_A0",
"tier": "Standard",
"size": "A0",
"family": "standardA0_A7Family"
},
{
"resourceType": "virtualMachines",
"locations": [
"westus"
],
"capabilities": [
{
"name": "MaxResourceVolumeMB",
"value": "71680"
},
{
"name": "OSVhdSizeMB",
"value": "1047552"
},
{
"name": "vCPUs",
"value": "1"
},
{
"name": "HyperVGenerations",
"value": "V1"
},
{
"name": "MemoryGB",
"value": "1.75"
},
{
"name": "MaxDataDiskCount",
"value": "2"
},
{
"name": "LowPriorityCapable",
"value": "True"
},
{
"name": "PremiumIO",
"value": "False"
},
{
"name": "vCPUsAvailable",
"value": "1"
},
{
"name": "ACUs",
"value": "100"
},
{
"name": "vCPUsPerCore",
"value": "1"
},
{
"name": "EphemeralOSDiskSupported",
"value": "False"
},
{
"name": "AcceleratedNetworkingEnabled",
"value": "False"
},
{
"name": "RdmaEnabled",
"value": "False"
},
{
"name": "MaxNetworkInterfaces",
"value": "2"
}
],
"locationInfo": [
{
"location": "westus",
"zones": [
"1",
"2",
"3"
]
}
],
"name": "Standard_A1",
"tier": "Standard",
"size": "A1",
"family": "standardA0_A7Family"
}
],
"nextLink": null
}
Lists all available Resource SKUs for the specified region
Ukázkový požadavek
GET https://management.azure.com/subscriptions/{subscription-id}/providers/Microsoft.Compute/skus?api-version=2021-07-01&$filter=location eq 'westus'
/**
* Samples for ResourceSkus List.
*/
public final class Main {
/*
* x-ms-original-file: 2021-07-01/skus/ListAvailableResourceSkusForARegion.json
*/
/**
* Sample code: Lists all available Resource SKUs for the specified region.
*
* @param manager Entry point to ComputeManager.
*/
public static void
listsAllAvailableResourceSKUsForTheSpecifiedRegion(com.azure.resourcemanager.compute.ComputeManager manager) {
manager.serviceClient().getResourceSkus().list("location eq 'westus'", null, com.azure.core.util.Context.NONE);
}
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
from azure.identity import DefaultAzureCredential
from azure.mgmt.compute import ComputeManagementClient
"""
# PREREQUISITES
pip install azure-identity
pip install azure-mgmt-compute
# USAGE
python list_available_resource_skus_for_aregion.py
Before run the sample, please set the values of the client ID, tenant ID and client secret
of the AAD application as environment variables: AZURE_CLIENT_ID, AZURE_TENANT_ID,
AZURE_CLIENT_SECRET. For more info about how to get the value, please see:
https://docs.microsoft.com/azure/active-directory/develop/howto-create-service-principal-portal
"""
def main():
client = ComputeManagementClient(
credential=DefaultAzureCredential(),
subscription_id="SUBSCRIPTION_ID",
)
response = client.resource_skus.list()
for item in response:
print(item)
# x-ms-original-file: 2021-07-01/skus/ListAvailableResourceSkusForARegion.json
if __name__ == "__main__":
main()
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
package armcompute_test
import (
"context"
"log"
"github.com/Azure/azure-sdk-for-go/sdk/azcore/to"
"github.com/Azure/azure-sdk-for-go/sdk/azidentity"
"github.com/Azure/azure-sdk-for-go/sdk/resourcemanager/compute/armcompute/v8"
)
// Generated from example definition: 2021-07-01/skus/ListAvailableResourceSkusForARegion.json
func ExampleResourceSKUsClient_NewListPager_listsAllAvailableResourceSkUsForTheSpecifiedRegion() {
cred, err := azidentity.NewDefaultAzureCredential(nil)
if err != nil {
log.Fatalf("failed to obtain a credential: %v", err)
}
ctx := context.Background()
clientFactory, err := armcompute.NewClientFactory("{subscription-id}", cred, nil)
if err != nil {
log.Fatalf("failed to create client: %v", err)
}
pager := clientFactory.NewResourceSKUsClient().NewListPager(&armcompute.ResourceSKUsClientListOptions{
Filter: to.Ptr("location eq 'westus'")})
for pager.More() {
page, err := pager.NextPage(ctx)
if err != nil {
log.Fatalf("failed to advance page: %v", err)
}
for _, v := range page.Value {
// You could use page here. We use blank identifier for just demo purposes.
_ = v
}
// If the HTTP response code is 200 as defined in example definition, your page structure would look as follows. Please pay attention that all the values in the output are fake values for just demo purposes.
// page = armcompute.ResourceSKUsClientListResponse{
// ResourceSKUsResult: armcompute.ResourceSKUsResult{
// Value: []*armcompute.ResourceSKU{
// {
// ResourceType: to.Ptr("virtualMachines"),
// Locations: []*string{
// to.Ptr("westus"),
// },
// Capabilities: []*armcompute.ResourceSKUCapabilities{
// {
// Name: to.Ptr("MaxResourceVolumeMB"),
// Value: to.Ptr("20480"),
// },
// {
// Name: to.Ptr("OSVhdSizeMB"),
// Value: to.Ptr("1047552"),
// },
// {
// Name: to.Ptr("vCPUs"),
// Value: to.Ptr("1"),
// },
// {
// Name: to.Ptr("HyperVGenerations"),
// Value: to.Ptr("V1"),
// },
// {
// Name: to.Ptr("MemoryGB"),
// Value: to.Ptr("0.75"),
// },
// {
// Name: to.Ptr("MaxDataDiskCount"),
// Value: to.Ptr("1"),
// },
// {
// Name: to.Ptr("LowPriorityCapable"),
// Value: to.Ptr("False"),
// },
// {
// Name: to.Ptr("PremiumIO"),
// Value: to.Ptr("False"),
// },
// {
// Name: to.Ptr("vCPUsAvailable"),
// Value: to.Ptr("1"),
// },
// {
// Name: to.Ptr("ACUs"),
// Value: to.Ptr("50"),
// },
// {
// Name: to.Ptr("vCPUsPerCore"),
// Value: to.Ptr("1"),
// },
// {
// Name: to.Ptr("EphemeralOSDiskSupported"),
// Value: to.Ptr("False"),
// },
// {
// Name: to.Ptr("AcceleratedNetworkingEnabled"),
// Value: to.Ptr("False"),
// },
// {
// Name: to.Ptr("RdmaEnabled"),
// Value: to.Ptr("False"),
// },
// {
// Name: to.Ptr("MaxNetworkInterfaces"),
// Value: to.Ptr("2"),
// },
// },
// LocationInfo: []*armcompute.ResourceSKULocationInfo{
// {
// Location: to.Ptr("westus"),
// Zones: []*string{
// to.Ptr("2"),
// to.Ptr("1"),
// },
// ZoneDetails: []*armcompute.ResourceSKUZoneDetails{
// {
// Name: []*string{
// to.Ptr("2"),
// },
// Capabilities: []*armcompute.ResourceSKUCapabilities{
// {
// Name: to.Ptr("UltraSSDAvailable"),
// Value: to.Ptr("True"),
// },
// },
// },
// },
// },
// },
// Name: to.Ptr("Standard_A0"),
// Tier: to.Ptr("Standard"),
// Size: to.Ptr("A0"),
// Family: to.Ptr("standardA0_A7Family"),
// },
// {
// ResourceType: to.Ptr("virtualMachines"),
// Locations: []*string{
// to.Ptr("westus"),
// },
// Capabilities: []*armcompute.ResourceSKUCapabilities{
// {
// Name: to.Ptr("MaxResourceVolumeMB"),
// Value: to.Ptr("71680"),
// },
// {
// Name: to.Ptr("OSVhdSizeMB"),
// Value: to.Ptr("1047552"),
// },
// {
// Name: to.Ptr("vCPUs"),
// Value: to.Ptr("1"),
// },
// {
// Name: to.Ptr("HyperVGenerations"),
// Value: to.Ptr("V1"),
// },
// {
// Name: to.Ptr("MemoryGB"),
// Value: to.Ptr("1.75"),
// },
// {
// Name: to.Ptr("MaxDataDiskCount"),
// Value: to.Ptr("2"),
// },
// {
// Name: to.Ptr("LowPriorityCapable"),
// Value: to.Ptr("True"),
// },
// {
// Name: to.Ptr("PremiumIO"),
// Value: to.Ptr("False"),
// },
// {
// Name: to.Ptr("vCPUsAvailable"),
// Value: to.Ptr("1"),
// },
// {
// Name: to.Ptr("ACUs"),
// Value: to.Ptr("100"),
// },
// {
// Name: to.Ptr("vCPUsPerCore"),
// Value: to.Ptr("1"),
// },
// {
// Name: to.Ptr("EphemeralOSDiskSupported"),
// Value: to.Ptr("False"),
// },
// {
// Name: to.Ptr("AcceleratedNetworkingEnabled"),
// Value: to.Ptr("False"),
// },
// {
// Name: to.Ptr("RdmaEnabled"),
// Value: to.Ptr("False"),
// },
// {
// Name: to.Ptr("MaxNetworkInterfaces"),
// Value: to.Ptr("2"),
// },
// },
// LocationInfo: []*armcompute.ResourceSKULocationInfo{
// {
// Location: to.Ptr("westus"),
// Zones: []*string{
// to.Ptr("1"),
// to.Ptr("2"),
// to.Ptr("3"),
// },
// },
// },
// Name: to.Ptr("Standard_A1"),
// Tier: to.Ptr("Standard"),
// Size: to.Ptr("A1"),
// Family: to.Ptr("standardA0_A7Family"),
// },
// },
// },
// }
}
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
const { ComputeManagementClient } = require("@azure/arm-compute");
const { DefaultAzureCredential } = require("@azure/identity");
/**
* This sample demonstrates how to gets the list of Microsoft.Compute SKUs available for your Subscription.
*
* @summary gets the list of Microsoft.Compute SKUs available for your Subscription.
* x-ms-original-file: 2021-07-01/skus/ListAvailableResourceSkusForARegion.json
*/
async function listsAllAvailableResourceSKUsForTheSpecifiedRegion() {
const credential = new DefaultAzureCredential();
const subscriptionId = "{subscription-id}";
const client = new ComputeManagementClient(credential, subscriptionId);
const resArray = new Array();
for await (const item of client.resourceSkus.list({ filter: "location eq 'westus'" })) {
resArray.push(item);
}
console.log(resArray);
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
using Azure;
using Azure.ResourceManager;
using System;
using System.Threading.Tasks;
using Azure.Core;
using Azure.Identity;
using Azure.ResourceManager.Compute.Models;
using Azure.ResourceManager.Resources;
using Azure.ResourceManager.Compute;
// Generated from example definition: specification/compute/resource-manager/Microsoft.Compute/Compute/stable/2021-07-01/examples/skus/ListAvailableResourceSkusForARegion.json
// this example is just showing the usage of "ResourceSkus_List" operation, for the dependent resources, they will have to be created separately.
// get your azure access token, for more details of how Azure SDK get your access token, please refer to https://learn.microsoft.com/en-us/dotnet/azure/sdk/authentication?tabs=command-line
TokenCredential cred = new DefaultAzureCredential();
// authenticate your client
ArmClient client = new ArmClient(cred);
// this example assumes you already have this SubscriptionResource created on azure
// for more information of creating SubscriptionResource, please refer to the document of SubscriptionResource
string subscriptionId = "{subscription-id}";
ResourceIdentifier subscriptionResourceId = SubscriptionResource.CreateResourceIdentifier(subscriptionId);
SubscriptionResource subscriptionResource = client.GetSubscriptionResource(subscriptionResourceId);
// invoke the operation and iterate over the result
string filter = "location eq 'westus'";
await foreach (ComputeResourceSku item in subscriptionResource.GetComputeResourceSkusAsync(filter: filter))
{
Console.WriteLine($"Succeeded: {item}");
}
Console.WriteLine("Succeeded");
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
Ukázková odpověď
{
"value": [
{
"resourceType": "virtualMachines",
"locations": [
"westus"
],
"capabilities": [
{
"name": "MaxResourceVolumeMB",
"value": "20480"
},
{
"name": "OSVhdSizeMB",
"value": "1047552"
},
{
"name": "vCPUs",
"value": "1"
},
{
"name": "HyperVGenerations",
"value": "V1"
},
{
"name": "MemoryGB",
"value": "0.75"
},
{
"name": "MaxDataDiskCount",
"value": "1"
},
{
"name": "LowPriorityCapable",
"value": "False"
},
{
"name": "PremiumIO",
"value": "False"
},
{
"name": "vCPUsAvailable",
"value": "1"
},
{
"name": "ACUs",
"value": "50"
},
{
"name": "vCPUsPerCore",
"value": "1"
},
{
"name": "EphemeralOSDiskSupported",
"value": "False"
},
{
"name": "AcceleratedNetworkingEnabled",
"value": "False"
},
{
"name": "RdmaEnabled",
"value": "False"
},
{
"name": "MaxNetworkInterfaces",
"value": "2"
}
],
"locationInfo": [
{
"location": "westus",
"zones": [
"2",
"1"
],
"zoneDetails": [
{
"name": [
"2"
],
"capabilities": [
{
"name": "UltraSSDAvailable",
"value": "True"
}
]
}
]
}
],
"name": "Standard_A0",
"tier": "Standard",
"size": "A0",
"family": "standardA0_A7Family"
},
{
"resourceType": "virtualMachines",
"locations": [
"westus"
],
"capabilities": [
{
"name": "MaxResourceVolumeMB",
"value": "71680"
},
{
"name": "OSVhdSizeMB",
"value": "1047552"
},
{
"name": "vCPUs",
"value": "1"
},
{
"name": "HyperVGenerations",
"value": "V1"
},
{
"name": "MemoryGB",
"value": "1.75"
},
{
"name": "MaxDataDiskCount",
"value": "2"
},
{
"name": "LowPriorityCapable",
"value": "True"
},
{
"name": "PremiumIO",
"value": "False"
},
{
"name": "vCPUsAvailable",
"value": "1"
},
{
"name": "ACUs",
"value": "100"
},
{
"name": "vCPUsPerCore",
"value": "1"
},
{
"name": "EphemeralOSDiskSupported",
"value": "False"
},
{
"name": "AcceleratedNetworkingEnabled",
"value": "False"
},
{
"name": "RdmaEnabled",
"value": "False"
},
{
"name": "MaxNetworkInterfaces",
"value": "2"
}
],
"locationInfo": [
{
"location": "westus",
"zones": [
"1",
"2",
"3"
]
}
],
"name": "Standard_A1",
"tier": "Standard",
"size": "A1",
"family": "standardA0_A7Family"
}
],
"nextLink": null
}
Ukázkový požadavek
GET https://management.azure.com/subscriptions/{subscription-id}/providers/Microsoft.Compute/skus?api-version=2021-07-01&includeExtendedLocations=true
/**
* Samples for ResourceSkus List.
*/
public final class Main {
/*
* x-ms-original-file: 2021-07-01/skus/ListAvailableResourceSkusWithExtendedLocations.json
*/
/**
* Sample code: Lists all available Resource SKUs with Extended Location information.
*
* @param manager Entry point to ComputeManager.
*/
public static void listsAllAvailableResourceSKUsWithExtendedLocationInformation(
com.azure.resourcemanager.compute.ComputeManager manager) {
manager.serviceClient().getResourceSkus().list(null, "true", com.azure.core.util.Context.NONE);
}
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
from azure.identity import DefaultAzureCredential
from azure.mgmt.compute import ComputeManagementClient
"""
# PREREQUISITES
pip install azure-identity
pip install azure-mgmt-compute
# USAGE
python list_available_resource_skus_with_extended_locations.py
Before run the sample, please set the values of the client ID, tenant ID and client secret
of the AAD application as environment variables: AZURE_CLIENT_ID, AZURE_TENANT_ID,
AZURE_CLIENT_SECRET. For more info about how to get the value, please see:
https://docs.microsoft.com/azure/active-directory/develop/howto-create-service-principal-portal
"""
def main():
client = ComputeManagementClient(
credential=DefaultAzureCredential(),
subscription_id="SUBSCRIPTION_ID",
)
response = client.resource_skus.list()
for item in response:
print(item)
# x-ms-original-file: 2021-07-01/skus/ListAvailableResourceSkusWithExtendedLocations.json
if __name__ == "__main__":
main()
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
package armcompute_test
import (
"context"
"log"
"github.com/Azure/azure-sdk-for-go/sdk/azcore/to"
"github.com/Azure/azure-sdk-for-go/sdk/azidentity"
"github.com/Azure/azure-sdk-for-go/sdk/resourcemanager/compute/armcompute/v8"
)
// Generated from example definition: 2021-07-01/skus/ListAvailableResourceSkusWithExtendedLocations.json
func ExampleResourceSKUsClient_NewListPager_listsAllAvailableResourceSkUsWithExtendedLocationInformation() {
cred, err := azidentity.NewDefaultAzureCredential(nil)
if err != nil {
log.Fatalf("failed to obtain a credential: %v", err)
}
ctx := context.Background()
clientFactory, err := armcompute.NewClientFactory("{subscription-id}", cred, nil)
if err != nil {
log.Fatalf("failed to create client: %v", err)
}
pager := clientFactory.NewResourceSKUsClient().NewListPager(&armcompute.ResourceSKUsClientListOptions{
IncludeExtendedLocations: to.Ptr("true")})
for pager.More() {
page, err := pager.NextPage(ctx)
if err != nil {
log.Fatalf("failed to advance page: %v", err)
}
for _, v := range page.Value {
// You could use page here. We use blank identifier for just demo purposes.
_ = v
}
// If the HTTP response code is 200 as defined in example definition, your page structure would look as follows. Please pay attention that all the values in the output are fake values for just demo purposes.
// page = armcompute.ResourceSKUsClientListResponse{
// ResourceSKUsResult: armcompute.ResourceSKUsResult{
// Value: []*armcompute.ResourceSKU{
// {
// ResourceType: to.Ptr("virtualMachines"),
// Locations: []*string{
// to.Ptr("westus"),
// },
// Capabilities: []*armcompute.ResourceSKUCapabilities{
// {
// Name: to.Ptr("MaxResourceVolumeMB"),
// Value: to.Ptr("20480"),
// },
// {
// Name: to.Ptr("OSVhdSizeMB"),
// Value: to.Ptr("1047552"),
// },
// {
// Name: to.Ptr("vCPUs"),
// Value: to.Ptr("1"),
// },
// {
// Name: to.Ptr("HyperVGenerations"),
// Value: to.Ptr("V1"),
// },
// {
// Name: to.Ptr("MemoryGB"),
// Value: to.Ptr("0.75"),
// },
// {
// Name: to.Ptr("MaxDataDiskCount"),
// Value: to.Ptr("1"),
// },
// {
// Name: to.Ptr("LowPriorityCapable"),
// Value: to.Ptr("False"),
// },
// {
// Name: to.Ptr("PremiumIO"),
// Value: to.Ptr("False"),
// },
// {
// Name: to.Ptr("vCPUsAvailable"),
// Value: to.Ptr("1"),
// },
// {
// Name: to.Ptr("ACUs"),
// Value: to.Ptr("50"),
// },
// {
// Name: to.Ptr("vCPUsPerCore"),
// Value: to.Ptr("1"),
// },
// {
// Name: to.Ptr("EphemeralOSDiskSupported"),
// Value: to.Ptr("False"),
// },
// {
// Name: to.Ptr("AcceleratedNetworkingEnabled"),
// Value: to.Ptr("False"),
// },
// {
// Name: to.Ptr("RdmaEnabled"),
// Value: to.Ptr("False"),
// },
// {
// Name: to.Ptr("MaxNetworkInterfaces"),
// Value: to.Ptr("2"),
// },
// },
// LocationInfo: []*armcompute.ResourceSKULocationInfo{
// {
// Location: to.Ptr("westus"),
// Zones: []*string{
// to.Ptr("2"),
// to.Ptr("1"),
// },
// ZoneDetails: []*armcompute.ResourceSKUZoneDetails{
// {
// Name: []*string{
// to.Ptr("2"),
// },
// Capabilities: []*armcompute.ResourceSKUCapabilities{
// {
// Name: to.Ptr("UltraSSDAvailable"),
// Value: to.Ptr("True"),
// },
// },
// },
// },
// },
// },
// Name: to.Ptr("Standard_A0"),
// Tier: to.Ptr("Standard"),
// Size: to.Ptr("A0"),
// Family: to.Ptr("standardA0_A7Family"),
// },
// {
// ResourceType: to.Ptr("virtualMachines"),
// Locations: []*string{
// to.Ptr("westus"),
// },
// Capabilities: []*armcompute.ResourceSKUCapabilities{
// {
// Name: to.Ptr("MaxResourceVolumeMB"),
// Value: to.Ptr("71680"),
// },
// {
// Name: to.Ptr("OSVhdSizeMB"),
// Value: to.Ptr("1047552"),
// },
// {
// Name: to.Ptr("vCPUs"),
// Value: to.Ptr("1"),
// },
// {
// Name: to.Ptr("HyperVGenerations"),
// Value: to.Ptr("V1"),
// },
// {
// Name: to.Ptr("MemoryGB"),
// Value: to.Ptr("1.75"),
// },
// {
// Name: to.Ptr("MaxDataDiskCount"),
// Value: to.Ptr("2"),
// },
// {
// Name: to.Ptr("LowPriorityCapable"),
// Value: to.Ptr("True"),
// },
// {
// Name: to.Ptr("PremiumIO"),
// Value: to.Ptr("False"),
// },
// {
// Name: to.Ptr("vCPUsAvailable"),
// Value: to.Ptr("1"),
// },
// {
// Name: to.Ptr("ACUs"),
// Value: to.Ptr("100"),
// },
// {
// Name: to.Ptr("vCPUsPerCore"),
// Value: to.Ptr("1"),
// },
// {
// Name: to.Ptr("EphemeralOSDiskSupported"),
// Value: to.Ptr("False"),
// },
// {
// Name: to.Ptr("AcceleratedNetworkingEnabled"),
// Value: to.Ptr("False"),
// },
// {
// Name: to.Ptr("RdmaEnabled"),
// Value: to.Ptr("False"),
// },
// {
// Name: to.Ptr("MaxNetworkInterfaces"),
// Value: to.Ptr("2"),
// },
// },
// LocationInfo: []*armcompute.ResourceSKULocationInfo{
// {
// Location: to.Ptr("westus"),
// Zones: []*string{
// to.Ptr("1"),
// to.Ptr("2"),
// to.Ptr("3"),
// },
// },
// {
// Location: to.Ptr("westus"),
// ExtendedLocations: []*string{
// to.Ptr("Las Vegas"),
// to.Ptr("Seattle"),
// to.Ptr("Portland"),
// },
// Type: to.Ptr(armcompute.ExtendedLocationTypeEdgeZone),
// },
// },
// Name: to.Ptr("Standard_A1"),
// Tier: to.Ptr("Standard"),
// Size: to.Ptr("A1"),
// Family: to.Ptr("standardA0_A7Family"),
// },
// },
// },
// }
}
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
const { ComputeManagementClient } = require("@azure/arm-compute");
const { DefaultAzureCredential } = require("@azure/identity");
/**
* This sample demonstrates how to gets the list of Microsoft.Compute SKUs available for your Subscription.
*
* @summary gets the list of Microsoft.Compute SKUs available for your Subscription.
* x-ms-original-file: 2021-07-01/skus/ListAvailableResourceSkusWithExtendedLocations.json
*/
async function listsAllAvailableResourceSKUsWithExtendedLocationInformation() {
const credential = new DefaultAzureCredential();
const subscriptionId = "{subscription-id}";
const client = new ComputeManagementClient(credential, subscriptionId);
const resArray = new Array();
for await (const item of client.resourceSkus.list({ includeExtendedLocations: "true" })) {
resArray.push(item);
}
console.log(resArray);
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
using Azure;
using Azure.ResourceManager;
using System;
using System.Threading.Tasks;
using Azure.Core;
using Azure.Identity;
using Azure.ResourceManager.Compute.Models;
using Azure.ResourceManager.Resources;
using Azure.ResourceManager.Compute;
// Generated from example definition: specification/compute/resource-manager/Microsoft.Compute/Compute/stable/2021-07-01/examples/skus/ListAvailableResourceSkusWithExtendedLocations.json
// this example is just showing the usage of "ResourceSkus_List" operation, for the dependent resources, they will have to be created separately.
// get your azure access token, for more details of how Azure SDK get your access token, please refer to https://learn.microsoft.com/en-us/dotnet/azure/sdk/authentication?tabs=command-line
TokenCredential cred = new DefaultAzureCredential();
// authenticate your client
ArmClient client = new ArmClient(cred);
// this example assumes you already have this SubscriptionResource created on azure
// for more information of creating SubscriptionResource, please refer to the document of SubscriptionResource
string subscriptionId = "{subscription-id}";
ResourceIdentifier subscriptionResourceId = SubscriptionResource.CreateResourceIdentifier(subscriptionId);
SubscriptionResource subscriptionResource = client.GetSubscriptionResource(subscriptionResourceId);
// invoke the operation and iterate over the result
string includeExtendedLocations = "true";
await foreach (ComputeResourceSku item in subscriptionResource.GetComputeResourceSkusAsync(includeExtendedLocations: includeExtendedLocations))
{
Console.WriteLine($"Succeeded: {item}");
}
Console.WriteLine("Succeeded");
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
Ukázková odpověď
{
"value": [
{
"resourceType": "virtualMachines",
"locations": [
"westus"
],
"capabilities": [
{
"name": "MaxResourceVolumeMB",
"value": "20480"
},
{
"name": "OSVhdSizeMB",
"value": "1047552"
},
{
"name": "vCPUs",
"value": "1"
},
{
"name": "HyperVGenerations",
"value": "V1"
},
{
"name": "MemoryGB",
"value": "0.75"
},
{
"name": "MaxDataDiskCount",
"value": "1"
},
{
"name": "LowPriorityCapable",
"value": "False"
},
{
"name": "PremiumIO",
"value": "False"
},
{
"name": "vCPUsAvailable",
"value": "1"
},
{
"name": "ACUs",
"value": "50"
},
{
"name": "vCPUsPerCore",
"value": "1"
},
{
"name": "EphemeralOSDiskSupported",
"value": "False"
},
{
"name": "AcceleratedNetworkingEnabled",
"value": "False"
},
{
"name": "RdmaEnabled",
"value": "False"
},
{
"name": "MaxNetworkInterfaces",
"value": "2"
}
],
"locationInfo": [
{
"location": "westus",
"zones": [
"2",
"1"
],
"zoneDetails": [
{
"name": [
"2"
],
"capabilities": [
{
"name": "UltraSSDAvailable",
"value": "True"
}
]
}
]
}
],
"name": "Standard_A0",
"tier": "Standard",
"size": "A0",
"family": "standardA0_A7Family"
},
{
"resourceType": "virtualMachines",
"locations": [
"westus"
],
"capabilities": [
{
"name": "MaxResourceVolumeMB",
"value": "71680"
},
{
"name": "OSVhdSizeMB",
"value": "1047552"
},
{
"name": "vCPUs",
"value": "1"
},
{
"name": "HyperVGenerations",
"value": "V1"
},
{
"name": "MemoryGB",
"value": "1.75"
},
{
"name": "MaxDataDiskCount",
"value": "2"
},
{
"name": "LowPriorityCapable",
"value": "True"
},
{
"name": "PremiumIO",
"value": "False"
},
{
"name": "vCPUsAvailable",
"value": "1"
},
{
"name": "ACUs",
"value": "100"
},
{
"name": "vCPUsPerCore",
"value": "1"
},
{
"name": "EphemeralOSDiskSupported",
"value": "False"
},
{
"name": "AcceleratedNetworkingEnabled",
"value": "False"
},
{
"name": "RdmaEnabled",
"value": "False"
},
{
"name": "MaxNetworkInterfaces",
"value": "2"
}
],
"locationInfo": [
{
"location": "westus",
"zones": [
"1",
"2",
"3"
]
},
{
"location": "westus",
"extendedLocations": [
"Las Vegas",
"Seattle",
"Portland"
],
"type": "EdgeZone"
}
],
"name": "Standard_A1",
"tier": "Standard",
"size": "A1",
"family": "standardA0_A7Family"
}
],
"nextLink": null
}
Definice
ErrorAdditionalInfo
Objekt
Další informace o chybě při správě prostředků
| Name |
Typ |
Description |
|
info
|
object
|
Další informace.
|
|
type
|
string
|
Další typ informací.
|
ErrorDetail
Objekt
Podrobnosti o chybě.
| Name |
Typ |
Description |
|
additionalInfo
|
ErrorAdditionalInfo[]
|
Další informace o chybě.
|
|
code
|
string
|
Kód chyby.
|
|
details
|
ErrorDetail[]
|
Podrobnosti o chybě.
|
|
message
|
string
|
Chybová zpráva.
|
|
target
|
string
|
Cíl chyby.
|
ErrorResponse
Objekt
Chybová odpověď
ExtendedLocationType
Výčet
Typ rozšířeného umístění.
| Hodnota |
Description |
|
EdgeZone
|
|
ResourceSku
Objekt
Popisuje dostupnou skladovou položku Compute.
| Name |
Typ |
Description |
|
apiVersions
|
string[]
|
Verze rozhraní API, které podporují tuto skladovou položku.
|
|
capabilities
|
ResourceSkuCapabilities[]
|
Pár hodnot názvu, který popisuje schopnost.
|
|
capacity
|
ResourceSkuCapacity
|
Určuje počet virtuálních počítačů ve škálovací sadě.
|
|
costs
|
ResourceSkuCosts[]
|
Metadata pro načítání informací o cenách
|
|
family
|
string
|
Rodina této konkrétní skladové položky.
|
|
kind
|
string
|
Druh prostředků podporovaných v této SKU.
|
|
locationInfo
|
ResourceSkuLocationInfo[]
|
Seznam umístění a zón dostupnosti v těch umístěních, kde je skladová položka k dispozici.
|
|
locations
|
string[]
|
Sada umístění, která je k dispozici skladová položka.
|
|
name
|
string
|
Název skladové položky.
|
|
resourceType
|
string
|
Typ prostředku, na který se skladová položka vztahuje.
|
|
restrictions
|
ResourceSkuRestrictions[]
|
Omezení, kvůli kterým se skladová položka nedá použít. Pokud neexistují žádná omezení, je tato hodnota prázdná.
|
|
size
|
string
|
Velikost skladové položky.
|
|
tier
|
string
|
Určuje úroveň virtuálních počítačů ve škálovací sadě.
Možné hodnoty:
Standard
Basic
|
ResourceSkuCapabilities
Objekt
Popisuje objekt schopností skladové položky.
| Name |
Typ |
Description |
|
name
|
string
|
Invariantní popis funkce.
|
|
value
|
string
|
Invariantní, pokud je funkce měřena podle množství.
|
ResourceSkuCapacity
Objekt
Popisuje informace o škálování skladové položky.
| Name |
Typ |
Description |
|
default
|
integer
(int64)
|
Výchozí kapacita.
|
|
maximum
|
integer
(int64)
|
Maximální kapacita, kterou lze nastavit.
|
|
minimum
|
integer
(int64)
|
Minimální kapacita.
|
|
scaleType
|
ResourceSkuCapacityScaleType
|
Typ škálování použitelný pro skladovou položku.
|
ResourceSkuCapacityScaleType
Výčet
Typ škálování použitelný pro skladovou položku.
| Hodnota |
Description |
|
Automatic
|
|
|
Manual
|
|
|
None
|
|
ResourceSkuCosts
Objekt
Popisuje metadata pro načítání informací o cenách.
| Name |
Typ |
Description |
|
extendedUnit
|
string
|
Invariant pro zobrazení rozšířené jednotky.
|
|
meterID
|
string
|
Používá se k dotazování ceny z obchodu.
|
|
quantity
|
integer
(int64)
|
Násobitel je potřeba k rozšíření základních měřených nákladů.
|
ResourceSkuLocationInfo
Objekt
Popisuje dostupné informace o umístění skladové položky výpočetních prostředků.
| Name |
Typ |
Description |
|
extendedLocations
|
string[]
|
Názvy rozšířených umístění.
|
|
location
|
string
|
Umístění SKU
|
|
type
|
ExtendedLocationType
|
Typ rozšířeného umístění.
|
|
zoneDetails
|
ResourceSkuZoneDetails[]
|
Podrobnosti o možnostech dostupných pro SKU v konkrétních zónách.
|
|
zones
|
string[]
|
Seznam zón dostupnosti, ve kterých je skladová položka podporována.
|
ResourceSkuRestrictionInfo
Objekt
Popisuje dostupné informace o omezení skladové položky compute.
| Name |
Typ |
Description |
|
locations
|
string[]
|
Umístění, kde je skladová položka omezená
|
|
zones
|
string[]
|
Seznam zón dostupnosti, ve kterých je skladová položka omezená
|
ResourceSkuRestrictions
Objekt
Popisuje informace o škálování skladové položky.
ResourceSkuRestrictionsReasonCode
Výčet
Důvod omezení.
| Hodnota |
Description |
|
QuotaId
|
|
|
NotAvailableForSubscription
|
|
ResourceSkuRestrictionsType
Výčet
Typ omezení.
| Hodnota |
Description |
|
Location
|
|
|
Zone
|
|
ResourceSkusResult
Objekt
Odpověď operace výpisu skladových položek prostředků.
| Name |
Typ |
Description |
|
nextLink
|
string
(uri)
|
Odkaz na další stránku položek
|
|
value
|
ResourceSku[]
|
Položky ResourceSku na této stránce
|
ResourceSkuZoneDetails
Objekt
Popisuje zónové funkce skladové položky.
| Name |
Typ |
Description |
|
capabilities
|
ResourceSkuCapabilities[]
|
Seznam funkcí, které jsou k dispozici pro SKU v určeném seznamu zón.
|
|
name
|
string[]
|
Sada zón, ve kterých je skladová položka k dispozici se zadanými schopnostmi.
|